Subject: Re: MTU probing bug?

From: John Heffner <[email-masked]>
Date: Tue, 25 Jul 2006 21:53:01 -0400

David Miller wrote:
> I find it interesting that black hole detection is handled
> different from a normal probe failure.  I guess here we are
> dealing with a more significant failure, so we should start
> at the thing which is most guarenteed to work.

Black hole detection is substantially different than probe failure. 
It's an indication that your current effective MTU is too large, and 
must be reduced.  A black hole basically means that your current path 
information is no good, either because your initial values are wrong, or 
the path changed.  So, you really want to reset everything to 
conservative values.  After a failed probe, your effective MTU is still 
fine, you've just gotten some additional information about the path 
(that it doesn't support the higher MTU).

   -John